package com.gree.mall.manager.bean.listvo;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.ExamineStatusEnum;
import com.gree.mall.manager.enums.IsEnum;
import com.gree.mall.manager.enums.UserTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ZfireField(tbName = "a")
@ApiModel
@Data
public class UserVO {

    @ZfireField(hide = true, tbName = "b")
    private String id;

    @ZfireField(hide = true)
    private String userId;

//    @ZfireField(hide = true)
//    private String companyWechatId;
//
//    @ApiModelProperty("商户名称")
//    private String companyName;

    @ZfireField(hide = true, tbName = "b", ignoreSelect = true)
    private String websitId;

    @ZfireField(tbName = "c", colName = "name", ignoreSelect = true)
    @ApiModelProperty("网点名称")
    private String websitName;

    @ZfireField(tbName = "b")
    @ApiModelProperty("师傅编号")
    private String workerNumber;

    @ApiModelProperty("用户昵称")
    private String nickName;

    @ApiModelProperty("联系电话")
    private String mobile;

    @ApiModelProperty("身份证")
    private String idCard;

    @ApiModelProperty("身份证图片")
    private String idCardImg;

    @ZfireField(hide = true, tbName = "b")
    private String slaveWorkerId;

    @ZfireField(tbName = "d", colName = "nick_name", ignoreSelect = true)
    @ApiModelProperty("辅助师傅")
    private String slaveWorkerName;

    @ApiModelProperty("用户类型")
    private UserTypeEnum type;

    @ZfireField(tbName = "b")
    @ApiModelProperty("审核状态")
    private ExamineStatusEnum examineStatus;

    @ZfireField(tbName = "b")
    @ApiModelProperty("审批人")
    private String examineBy;

    @ZfireField(tbName = "b")
    @ApiModelProperty("审批时间")
    private Date examineTime;

    @ZfireField(tbName = "b")
    @ApiModelProperty("银行卡")
    private String bankAccount;

//    @ApiModelProperty("是否允许二手商城发布")
//    private IsEnum isEs;

    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("修改人")
    private String updateBy;
    @ApiModelProperty("修改时间")
    private Date updateTime;
}
