package com.gree.mall.manager.bean.material.base;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
@ApiModel
public class WebsitGoodsBean {

    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;

    @ApiModelProperty(value = "商品类型 M=辅材 P=配件")
    private String goodsType;

    @ApiModelProperty(value = "收费类型 M=物料收费 S=服务收费")
    private String normType;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "商品代码")
    private String goodsCode;

    @ApiModelProperty(value = "商品条码")
    private String goodsBarcodeId;

    @ApiModelProperty(value = "商品父类编号")
    private String parentCategoryId;

    @ApiModelProperty(value = "商品小类编号")
    private String goodsCategoryId;

    @ApiModelProperty(value = "简拼")
    private String goodsSpell;

    @ApiModelProperty(value = "规格型号")
    private String goodsSpecification;

    @ApiModelProperty(value = "库存单位")
    private String goodsStockUnit;

    @ApiModelProperty(value = "销售单位")
    private String goodsSalesUnit;

    @ApiModelProperty(value = "销售单位转换系数")
    private BigDecimal goodsSalesConvertQty;

    @ApiModelProperty(value = "转换数保留小数位（以0舍1入方式保留）")
    private Integer convertBitScale;

    @ApiModelProperty(value = "图片")
    private String goodsImage;

    @ApiModelProperty(value = "状态 ON=有效 OFF=无效")
    private String status;

    @ApiModelProperty(value = "是否入师傅库存 NO=否 YES=是")
    private String manageWorkerStock;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "采购价格")
    private BigDecimal cost;

    @ApiModelProperty(value = "销售价格")
    private BigDecimal marketPrice;

    @ApiModelProperty(value = "收费标准")
    private BigDecimal normAmount;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "配件类型")
    private String partType;

    @ApiModelProperty(value = "自有库存师傅分账金额")
    private BigDecimal selfWorkerAmount;

    @ApiModelProperty(value = "自有库存网点分账金额")
    private BigDecimal selfWebsitAmount;

    @ApiModelProperty(value = "自有库存师傅分账金额")
    private BigDecimal outWorkerAmount;

    @ApiModelProperty(value = "自有库存网点分账金额")
    private BigDecimal outWebsitAmount;

    @ApiModelProperty(value = "品牌")
    List<String> brandList;

    @ApiModelProperty(value = "产品大类")
    List<String> categoryList;

    @ApiModelProperty(value = "进价范围最小")
    private BigDecimal costRangeMini;

    @ApiModelProperty(value = "进价范围最大")
    private BigDecimal costRangeMax;

    @ApiModelProperty(value = "优惠价1")
    private BigDecimal firstPrice;

    @ApiModelProperty(value = "优惠价2")
    private BigDecimal secondPrice;

    @ApiModelProperty(value = "是否首选配件 false=非首选配件 true=首选配件")
    private Boolean isHeadParts;

    @ApiModelProperty(value = "返厂方式")
    private String refundFactoryMode;

    @ApiModelProperty(value = "物料组名称")
    private String materialGroupName;
}
